#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9D,0x60,0xFC,0x26,0x22,0x29,0x37,0x6D,0x1C,0xB5,0x6C,0x49,
		0x3F,0xB3,0x53,0x64,0x5F,0xA6,0x65,0x3A,0x38,0xF2,0x79,0xCD,
		0xE6,0x82,0xE0,0x07,0x43,0x87,0x1A,0x10,0xA2,0x77,0xA4,0x5B,
		0x98,0x87,0xAC,0xBA,0xFB,0x0A,0xF9,0x73,0xD5,0xEF,0x23,0xD6,
		0xB9,0xEC,0x11,0x13,0xBE,0xB5,0x80,0x2C,0xBA,0x0B,0x21,0x12,
		0x27,0x3C,0xA8,0xD3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
